diff --git a/tests/data/toulouse_maelis/ActivityService.wsdl b/tests/data/toulouse_maelis/ActivityService.wsdl
index b67efdc7..056d3ea6 100644
--- a/tests/data/toulouse_maelis/ActivityService.wsdl
+++ b/tests/data/toulouse_maelis/ActivityService.wsdl
@@ -110,557 +193,1049 @@
 
   <xs:complexType name="activityNatureBean">
     <xs:sequence>
       <xs:element minOccurs="0" name="code" type="xs:string"/>
       <xs:element minOccurs="0" name="libelle" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="activityPeriodCapacityBean">
-    <xs:complexContent>
-      <xs:extension base="ns1:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="period" type="ns1:periodBean"/>
-          <xs:element minOccurs="0" name="capacity" type="xs:int"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="calendCapacityExceptList" nillable="true" type="ns1:calendCapacityBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="unit2Bean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element minOccurs="0" name="idActivity" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="placeList" nillable="true" type="tns:placeBasketBean"/>
+      <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="placeBasketBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idPlace" type="xs:string"/>
+      <xs:element minOccurs="0" name="lib1" type="xs:string"/>
+      <xs:element minOccurs="0" name="lib2" type="xs:string"/>
+      <xs:element minOccurs="0" name="idIns" type="xs:string"/>
+      <xs:element minOccurs="0" name="etatIns" type="xs:string"/>
+      <xs:element minOccurs="0" name="ageStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="ageEnd" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="ctrlPlaces" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="listBlocNoteBean" nillable="true" type="tns:blocNoteBean"/>
+      <xs:element minOccurs="0" name="longitude" type="xs:double"/>
+      <xs:element minOccurs="0" name="latitude" type="xs:double"/>
+    </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="activityUnitPlaceBean">
+  <xs:complexType name="blocNoteBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="activity" type="ns1:activity3Bean"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="unitList" nillable="true" type="ns1:unitPlaceBean"/>
+          <xs:element minOccurs="0" name="idBlocNote" type="xs:string"/>
+          <xs:element minOccurs="0" name="note" type="xs:string"/>
+          <xs:element minOccurs="0" name="numIndex" type="xs:int"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="placeBean">
+  <xs:complexType name="stateBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="id" type="xs:string"/>
-      <xs:element minOccurs="0" name="lib" type="xs:string"/>
-      <xs:element minOccurs="0" name="lib2" type="xs:string"/>
-      <xs:element minOccurs="0" name="adresse" type="tns:adressBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="activityPeriscolList" nillable="true" type="tns:activityPeriscolBean"/>
+      <xs:element minOccurs="0" name="isWaitState" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="idState" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="adressBean">
+  <xs:complexType name="validateBasketRequestBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="num" type="xs:int"/>
-      <xs:element minOccurs="0" name="street1" type="xs:string"/>
-      <xs:element minOccurs="0" name="street2" type="xs:string"/>
-      <xs:element minOccurs="0" name="idStreet" type="xs:string"/>
-      <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
-      <xs:element minOccurs="0" name="town" type="xs:string"/>
+      <xs:element name="idBasket" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="validateBasketResultBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idFam" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="idFactureLst" nillable="true" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="idInsLst" nillable="true" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="paramUrlReglement" nillable="true" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="deleteBasketRequestBean">
+    <xs:sequence>
+      <xs:element name="idBasket" type="xs:string"/>
+      <xs:element name="idUtilisat" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="getFamilyBasketRequestBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idFamily" type="xs:string"/>
+      <xs:element minOccurs="0" name="idUtil" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="getFamilyBasketResultBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="basket" type="ns1:basketBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="addChildSubscribeRequestBean">
+    <xs:sequence>
+      <xs:element name="numFamily" type="xs:int"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="idAct" type="xs:string"/>
+      <xs:element name="idUnit" type="xs:string"/>
+      <xs:element name="idPlace" type="xs:string"/>
+      <xs:element name="dateStartSubscribe" type="xs:dateTime"/>
+      <xs:element name="dateEndSubscribe" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="weeklyRateCode" type="xs:string"/>
+      <xs:element name="weeklyCalendar" type="xs:string"/>
+      <xs:element minOccurs="0" name="weeklyCalendar2" type="xs:string"/>
+      <xs:element name="forceQuantite" type="xs:double"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="addChildUnitLstWaitResponseBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="controlResult" type="ns1:controlResultBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="activityPeriscolBean">
+  <xs:complexType name="getPersonUnitInfoRequestBean">
+    <xs:sequence>
+      <xs:element name="numFamily" type="xs:int"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="activityUnitPlace" type="tns:activityUnitPlaceBasketBean"/>
+      <xs:element minOccurs="0" name="dateRef" type="xs:dateTime"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="activityUnitPlaceBasketBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="activity" type="ns1:activity3Bean"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="activityPeriodList" nillable="true" type="tns:activityPeriodCapacityBean"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="unitList" nillable="true" type="tns:unitPeriscolBean"/>
+          <xs:element name="idActivity" type="xs:string"/>
+          <xs:element name="idPlace" type="xs:string"/>
+          <xs:element name="idUnit" type="xs:string"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="unitPeriscolBean">
+  <xs:complexType name="getPersonUnitInfoResponseBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="controlResult" type="ns1:controlResultBean"/>
+      <xs:element minOccurs="0" name="personInfo" type="tns:personInfoBean"/>
+      <xs:element minOccurs="0" name="activity" type="tns:activity2Bean"/>
+      <xs:element minOccurs="0" name="unit" type="tns:unitInfoBean"/>
+      <xs:element minOccurs="0" name="place" type="tns:placeBasketBean"/>
+      <xs:element minOccurs="0" name="weeklyCalendarSubscribeUnit" type="tns:weeklyCalendarSubscribeUnitBean"/>
+      <xs:element minOccurs="0" name="billingInformation" type="tns:billingInformationBean"/>
+      <xs:element minOccurs="0" name="action" type="ns1:subscribeAction"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="unitInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
+      <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="placeInfoList" nillable="true" type="tns:placeInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="weeklyRateList" nillable="true" type="tns:weeklyRateBean"/>
+      <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="idIns" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="placeInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="place" type="tns:placeBasketBean"/>
+      <xs:element minOccurs="0" name="capacityInfo" type="ns1:controlResultBean"/>
+      <xs:element minOccurs="0" name="idIns" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="weeklyRateBean">
     <xs:complexContent>
       <xs:extension base="ns1:abstractSpecBean">
         <xs:sequence>
-          <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="periodList" nillable="true" type="ns1:periodBean"/>
+          <xs:element minOccurs="0" name="weeklyCalendar" type="xs:string"/>
+          <xs:element minOccurs="0" name="code" type="xs:string"/>
+          <xs:element minOccurs="0" name="libelle" type="xs:string"/>
+          <xs:element minOccurs="0" name="nbDay" type="xs:int"/>
         </xs:sequence>
       </xs:extension>
     </xs:complexContent>
   </xs:complexType>
 
-  <xs:complexType name="unitPortailBean">
+  <xs:complexType name="weeklyCalendarSubscribeUnitBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
-      <xs:element minOccurs="0" name="label" type="xs:string"/>
-      <xs:element minOccurs="0" name="codeExt" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="birthDateStart" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="birthDateEnd" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="calendarLetter" type="xs:string"/>
-      <xs:element minOccurs="0" name="subscribePublication" type="xs:string"/>
-      <xs:element minOccurs="0" name="dateStartSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateEndSubscribe" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="numOrder" type="xs:int"/>
-      <xs:element minOccurs="0" name="calendarPublication" type="xs:string"/>
-      <xs:element minOccurs="0" name="recordAbsence" type="xs:string"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="calendList" nillable="true" type="tns:calendPortailBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="placeList" nillable="true" type="tns:placeBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="periodList" nillable="true" type="ns1:periodBean"/>
+      <xs:element minOccurs="0" name="weeklyCalendar" type="xs:string"/>
+      <xs:element minOccurs="0" name="weeklyCalendar2" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="nbDayList" nillable="true" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="calendPortailBean">
+  <xs:complexType name="billingInformationBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="dateConso" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateMin" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateMax" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateMinVisu" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateMaxVisu" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateMaxMajPrev" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dateMaxAddPres" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="modeFact" type="ns1:modeFactBean"/>
+      <xs:element minOccurs="0" name="quantity" type="xs:double"/>
+      <xs:element minOccurs="0" name="unitPrice" type="xs:double"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="resultCalendarListBean">
+  <xs:complexType name="getSelectionCriteriaForFamilyListResultBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="person" type="ns3:personInfoBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="calendList" nillable="true" type="tns:calendarUnitDayBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="activityNatureList" nillable="true" type="tns:activityNatureBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="calendarUnitDayBean">
+  <xs:complexType name="addChildUnitBasketResponseBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="unit" type="tns:unitBean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="listDays" nillable="true" type="tns:dayBean"/>
+      <xs:element minOccurs="0" name="controlResult" type="ns1:controlResultBean"/>
+      <xs:element minOccurs="0" name="basket" type="ns1:basketBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="unitBean">
+  <xs:complexType name="updatePersonScheduleRequestBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
-      <xs:element minOccurs="0" name="label" type="xs:string"/>
+      <xs:element name="idFam" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" name="unitPersonDayInfoList" type="tns:unitPersonDayInfo"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="unitPersonDayInfo">
+    <xs:sequence>
+      <xs:element name="idPers" type="xs:string"/>
+      <xs:element name="idAct" type="xs:string"/>
+      <xs:element name="idUni" type="xs:string"/>
+      <xs:element name="date" type="xs:dateTime"/>
+      <xs:element name="action" type="ns1:dayInfoAction"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="updatePersonScheduleResultBean">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="errorMessages" nillable="true" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="deleteChildUnitBasketRequestBean">
+    <xs:sequence>
+      <xs:element name="idBasketLine" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="deleteChildUnitBasketResultBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="basket" type="ns1:basketBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="dayBean">
+  <xs:complexType name="getFamilyListRequestBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="datePlanning" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="dayType" type="tns:dayTypeBean"/>
+      <xs:element name="numFamily" type="xs:string"/>
+      <xs:element minOccurs="0" name="lastName" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstName" type="xs:string"/>
+      <xs:element minOccurs="0" name="numChild" type="xs:string"/>
+      <xs:element minOccurs="0" name="childLastName" type="xs:string"/>
+      <xs:element minOccurs="0" name="childFirstName" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateStartBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEndBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="activityNature" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateStartActivity" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEndActivity" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="yearSchool" type="xs:int"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="getFamilyListResultBean">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="familyInfoList" nillable="true" type="tns:familyInfoBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="familyInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element name="number" type="xs:int"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="mail" type="xs:string"/>
+      <xs:element minOccurs="0" name="address" type="tns:addressBean"/>
+    </xs:sequence>
+  </xs:complexType>
+
+  <xs:complexType name="addressBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="street1" type="xs:string"/>
+      <xs:element minOccurs="0" name="zipcode" type="xs:string"/>
+      <xs:element minOccurs="0" name="town" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="dayTypeBean">
+  <xs:complexType name="getPersonCatalogueActivityRequestBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="ns1:code"/>
+      <xs:element minOccurs="0" name="activity" type="xs:string"/>
+      <xs:element minOccurs="0" name="codeNatureActivity" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateEndActivity" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateStartActivity" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="idFamily" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPerson" type="xs:string"/>
+      <xs:element minOccurs="0" name="place" type="xs:string"/>
+      <xs:element minOccurs="0" name="unit" type="xs:string"/>
+      <xs:element minOccurs="0" name="yearSchool" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="updateScheduleCalendarsRequestBean">
+  <xs:complexType name="getPersonCatalogueActivityResultBean">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" name="unitPersonDayInfoList" type="tns:unitPersonDayInfoBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="catalogueActivityList" nillable="true" type="tns:catalogueActivityBean"/>
+      <xs:element minOccurs="0" name="child" type="ns1:personInfoBean"/>
     </xs:sequence>
   </xs:complexType>
 
-  <xs:complexType name="updateScheduleCalendarsResultBean">
+  <xs:complexType name="catalogueActivityBean">
     <xs:sequence>
-      <xs:element name="result" type="xs:boolean"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="unitPersonDayInfoList" nillable="true" type="tns:unitPersonDayInfoErrorBean"/>
+      <xs:element minOccurs="0" name="activity" type="tns:activity2Bean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="indicatorBlockSubscribeList" nillable="true" type="tns:indicatorBlockSubscribeBean"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="unitInfoList" nillable="true" type="tns:unitInfoBean"/>
+      <xs:element minOccurs="0" name="incompleteFamilyFile" type="xs:boolean"/>
     </xs:sequence>
   </xs:complexType>
 
 </xs:schema>
-<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="activity.ws.maelis.sigec.com" xmlns:ns2="bean.persistence.family.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.activity.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="activity.ws.maelis.sigec.com">
+<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:tns="activity.ws.maelis.sigec.com" xmlns:ns1="bean.persistence.activity.ws.maelis.sigec.com" attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="activity.ws.maelis.sigec.com">
   <xs:import namespace="bean.persistence.activity.ws.maelis.sigec.com"/>
-  <xs:import namespace="bean.persistence.family.ws.maelis.sigec.com"/>
-  <xs:import namespace="bean.persistence.ws.maelis.sigec.com"/>
+  <xs:element name="addChildUnitBasket" type="tns:addChildUnitBasket"/>
+  <xs:element name="addChildUnitBasketResponse" type="tns:addChildUnitBasketResponse"/>
+  <xs:element name="addChildUnitLstWait" type="tns:addChildUnitLstWait"/>
+  <xs:element name="addChildUnitLstWaitResponse" type="tns:addChildUnitLstWaitResponse"/>
+  <xs:element name="closeSubscribe" type="tns:closeSubscribe"/>
+  <xs:element name="closeSubscribeResponse" type="tns:closeSubscribeResponse"/>
+  <xs:element name="deleteBasket" type="tns:deleteBasket"/>
+  <xs:element name="deleteBasketResponse" type="tns:deleteBasketResponse"/>
+  <xs:element name="deleteChildUnitBasket" type="tns:deleteChildUnitBasket"/>
+  <xs:element name="deleteChildUnitBasketResponse" type="tns:deleteChildUnitBasketResponse"/>
+  <xs:element name="getFamilyBasket" type="tns:getFamilyBasket"/>
+  <xs:element name="getFamilyBasketResponse" type="tns:getFamilyBasketResponse"/>
+  <xs:element name="getFamilyChilds" type="tns:getFamilyChilds"/>
+  <xs:element name="getFamilyChildsResponse" type="tns:getFamilyChildsResponse"/>
+  <xs:element name="getFamilyList" type="tns:getFamilyList"/>
+  <xs:element name="getFamilyListResponse" type="tns:getFamilyListResponse"/>
   <xs:element name="getNbAvailablePlacesPortalOther" type="tns:getNbAvailablePlacesPortalOther"/>
   <xs:element name="getNbAvailablePlacesPortalOtherResponse" type="tns:getNbAvailablePlacesPortalOtherResponse"/>
+  <xs:element name="getPersonCatalogueActivity" type="tns:getPersonCatalogueActivity"/>
+  <xs:element name="getPersonCatalogueActivityResponse" type="tns:getPersonCatalogueActivityResponse"/>
+  <xs:element name="getPersonScheduleList" type="tns:getPersonScheduleList"/>
+  <xs:element name="getPersonScheduleListResponse" type="tns:getPersonScheduleListResponse"/>
+  <xs:element name="getPersonUnitInfo" type="tns:getPersonUnitInfo"/>
+  <xs:element name="getPersonUnitInfoResponse" type="tns:getPersonUnitInfoResponse"/>
+  <xs:element name="getSelectionCriteriaForFamilyList" type="tns:getSelectionCriteriaForFamilyList"/>
+  <xs:element name="getSelectionCriteriaForFamilyListResponse" type="tns:getSelectionCriteriaForFamilyListResponse"/>
+  <xs:element name="getUnitByActivity" type="tns:getUnitByActivity"/>
+  <xs:element name="getUnitByActivityResponse" type="tns:getUnitByActivityResponse"/>
   <xs:element name="isWSRunning" type="tns:isWSRunning"/>
   <xs:element name="isWSRunningResponse" type="tns:isWSRunningResponse"/>
-  <xs:element name="readActivityList" type="tns:readActivityList"/>
-  <xs:element name="readActivityListResponse" type="tns:readActivityListResponse"/>
-  <xs:element name="readChildMonthPlanning" type="tns:readChildMonthPlanning"/>
-  <xs:element name="readChildMonthPlanningResponse" type="tns:readChildMonthPlanningResponse"/>
-  <xs:element name="updateRealCalendars" type="tns:updateRealCalendars"/>
-  <xs:element name="updateRealCalendarsResponse" type="tns:updateRealCalendarsResponse"/>
-  <xs:element name="updateScheduleCalendars" type="tns:updateScheduleCalendars"/>
-  <xs:element name="updateScheduleCalendarsResponse" type="tns:updateScheduleCalendarsResponse"/>
+  <xs:element name="updateBasketTime" type="tns:updateBasketTime"/>
+  <xs:element name="updateBasketTimeResponse" type="tns:updateBasketTimeResponse"/>
+  <xs:element name="updateChildUnitBasket" type="tns:updateChildUnitBasket"/>
+  <xs:element name="updateChildUnitBasketResponse" type="tns:updateChildUnitBasketResponse"/>
+  <xs:element name="updatePersonSchedule" type="tns:updatePersonSchedule"/>
+  <xs:element name="updatePersonScheduleResponse" type="tns:updatePersonScheduleResponse"/>
   <xs:element name="updateWeekCalendar" type="tns:updateWeekCalendar"/>
   <xs:element name="updateWeekCalendarResponse" type="tns:updateWeekCalendarResponse"/>
-  <xs:complexType name="updateRealCalendars">
+  <xs:element name="validateBasket" type="tns:validateBasket"/>
+  <xs:element name="validateBasketResponse" type="tns:validateBasketResponse"/>
+  <xs:complexType name="updateChildUnitBasket">
     <xs:sequence>
-      <xs:element name="updateRealCalendarsRequestBean" type="ns1:updateRealCalendarsRequestBean"/>
+      <xs:element minOccurs="0" name="updateBasketLigneRequestBean" type="tns:updateBasketLigneRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="updateRealCalendarsResponse">
+  <xs:complexType name="updateBasketLigneRequestBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="return" type="ns1:updateRealCalendarsResultBean"/>
+      <xs:element name="id" type="xs:string"/>
+      <xs:element name="qte" type="xs:double"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="getNbAvailablePlacesPortalOther">
+  <xs:complexType name="updateChildUnitBasketResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="arg0" type="xs:string"/>
-      <xs:element minOccurs="0" name="arg1" type="xs:string"/>
-      <xs:element minOccurs="0" name="arg2" type="xs:string"/>
-      <xs:element minOccurs="0" name="arg3" type="xs:string"/>
-      <xs:element minOccurs="0" name="arg4" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="arg5" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="arg6" type="xs:int"/>
+      <xs:element minOccurs="0" name="updateBasketLigneResultBean" type="tns:updateBasketLigneResultBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="getNbAvailablePlacesPortalOtherResponse">
+  <xs:complexType name="updateBasketLigneResultBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="return" type="xs:string"/>
+      <xs:element minOccurs="0" name="datEchn" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateMaj" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element minOccurs="0" name="idIns" type="xs:string"/>
+      <xs:element minOccurs="0" name="idInsLieu" type="xs:string"/>
+      <xs:element minOccurs="0" name="idInsStd" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPanier" type="xs:string"/>
+      <xs:element minOccurs="0" name="montant" type="xs:double"/>
+      <xs:element minOccurs="0" name="prixUnit" type="xs:double"/>
+      <xs:element minOccurs="0" name="qte" type="xs:double"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="isWSRunning">
-    <xs:sequence/>
+  <xs:complexType name="getPersonScheduleList">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="getChildScheduleRequestBean" type="ns1:getPersonScheduleRequestBean"/>
+    </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="isWSRunningResponse">
+  <xs:complexType name="getPersonScheduleListResponse">
     <xs:sequence>
-      <xs:element name="isWSRunning" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="GetPersonScheduleResultBean" type="ns1:getPersonScheduleResultBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="updateWeekCalendar">
+  <xs:complexType name="getNbAvailablePlacesPortalOther">
     <xs:sequence>
-      <xs:element name="idActivity" type="xs:string"/>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element name="dateStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="idPers" type="xs:string"/>
+      <xs:element name="idAct" type="xs:string"/>
+      <xs:element name="idUni" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPlace" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateStart" type="xs:dateTime"/>
       <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
-      <xs:element name="weeklyPlanningAM" type="xs:string"/>
-      <xs:element name="weeklyPlanningPM" type="xs:string"/>
+      <xs:element minOccurs="0" name="nbRoomReserved" type="xs:int"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="updateWeekCalendarResponse">
-    <xs:sequence/>
+  <xs:complexType name="getNbAvailablePlacesPortalOtherResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="nbAvailablePlacesPortalOther" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="closeSubscribe">
+    <xs:sequence>
+      <xs:element name="idSubscribe" type="xs:string"/>
+      <xs:element minOccurs="0" name="idActivity" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPerson" type="xs:string"/>
+      <xs:element name="dateClose" type="xs:dateTime"/>
+    </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readActivityList">
+  <xs:complexType name="closeSubscribeResponse">
     <xs:sequence>
-      <xs:element name="schoolyear" type="xs:int"/>
-      <xs:element name="dateStartCalend" type="xs:dateTime"/>
-      <xs:element name="dateEndCalend" type="xs:dateTime"/>
-      <xs:element minOccurs="0" name="numPerson" type="xs:int"/>
+      <xs:element minOccurs="0" name="ResultCloseSubscribe" type="ns1:resultCloseSubscribeBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readActivityListResponse">
+  <xs:complexType name="getFamilyChilds">
     <xs:sequence>
-      <xs:element minOccurs="0" name="ReadActivityPortailListResultBean" type="ns1:readActivityPortailListResultBean"/>
+      <xs:element minOccurs="0" name="getFamilyChildsRequestBean" type="ns1:getFamilyChildsRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="activityCalendarGenerationBean">
+  <xs:complexType name="getFamilyChildsResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="tns:activityCalendarGenerationMode"/>
-      <xs:element minOccurs="0" name="value" type="xs:string"/>
+      <xs:element minOccurs="0" name="getFamilyChildsResultBean" type="ns1:getFamilyChildsResultBean"/>
     </xs:sequence>
   </xs:complexType>
   <xs:complexType abstract="true" name="abstractSpecBean">
     <xs:sequence/>
   </xs:complexType>
-  <xs:complexType name="periodBean">
-    <xs:complexContent>
-      <xs:extension base="tns:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="code" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-  <xs:complexType name="calendCapacityBean">
-    <xs:complexContent>
-      <xs:extension base="tns:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="capacity" type="xs:int"/>
-          <xs:element minOccurs="0" name="dayDate" type="xs:dateTime"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
-  </xs:complexType>
-  <xs:complexType name="activity3Bean">
-    <xs:complexContent>
-      <xs:extension base="tns:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="id" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="validateBasket">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="validateBasketRequestBean" type="ns1:validateBasketRequestBean"/>
+    </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="unitPlaceBean">
-    <xs:complexContent>
-      <xs:extension base="tns:abstractSpecBean">
-        <xs:sequence>
-          <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
-          <xs:element minOccurs="0" name="label" type="xs:string"/>
-          <xs:element maxOccurs="unbounded" minOccurs="0" name="placeList" nillable="true" type="ns1:placeBean"/>
-        </xs:sequence>
-      </xs:extension>
-    </xs:complexContent>
+  <xs:complexType name="validateBasketResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="validateBasketResultBean" type="ns1:validateBasketResultBean"/>
+    </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="activityUnitPlace2KernelBean">
+  <xs:complexType name="deleteBasket">
     <xs:sequence>
-      <xs:element minOccurs="0" name="activityKernel" type="xs:anyType"/>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="unitKernelList" nillable="true" type="xs:anyType"/>
+      <xs:element minOccurs="0" name="deleteBasketRequestBean" type="ns1:deleteBasketRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="codeLabelKernelBean">
+  <xs:complexType name="deleteBasketResponse">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="getFamilyBasket">
     <xs:sequence>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="label" type="xs:string"/>
+      <xs:element minOccurs="0" name="getFamilyBasketRequestBean" type="ns1:getFamilyBasketRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="consoTarifKernelBean">
+  <xs:complexType name="getFamilyBasketResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="commune" type="xs:string"/>
-      <xs:element minOccurs="0" name="consoKernelBean" type="tns:codeLabelKernelBean"/>
-      <xs:element minOccurs="0" name="tarifKernelBean" type="tns:codeLabelKernelBean"/>
+      <xs:element minOccurs="0" name="getFamilyBasketResultBean" type="ns1:getFamilyBasketResultBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="activityPeriodCapacityKernelBean">
+  <xs:complexType name="basketBean">
     <xs:sequence>
-      <xs:element maxOccurs="unbounded" minOccurs="0" name="calendCapacityExceptKernelList" nillable="true" type="tns:calendCapacityKernelBean"/>
-      <xs:element minOccurs="0" name="capacity" type="xs:int"/>
-      <xs:element minOccurs="0" name="periodKernel" type="tns:codeLabelKernelBean"/>
+      <xs:element minOccurs="0" name="dateAdd" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateMaj" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="delai" type="xs:int"/>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element minOccurs="0" name="idFam" type="xs:string"/>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="lignes" nillable="true" type="tns:basketLigneBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="calendCapacityKernelBean">
+  <xs:complexType name="basketLigneBean">
     <xs:sequence>
-      <xs:element minOccurs="0" name="capacity" type="xs:int"/>
-      <xs:element minOccurs="0" name="dayDate" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="datEchn" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateMaj" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="id" type="xs:string"/>
+      <xs:element minOccurs="0" name="idIns" type="xs:string"/>
+      <xs:element minOccurs="0" name="idInsLieu" type="xs:string"/>
+      <xs:element minOccurs="0" name="idPanier" type="xs:string"/>
+      <xs:element minOccurs="0" name="inscription" type="tns:subscribeBean"/>
+      <xs:element minOccurs="0" name="montant" type="xs:double"/>
+      <xs:element minOccurs="0" name="personneInfo" type="tns:personInfoBean"/>
+      <xs:element minOccurs="0" name="prixUnit" type="xs:double"/>
+      <xs:element minOccurs="0" name="qte" type="xs:double"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readChildMonthPlanning">
+  <xs:complexType name="subscribeBean">
     <xs:sequence>
-      <xs:element name="numPerson" type="xs:int"/>
-      <xs:element minOccurs="0" name="idActivity" type="xs:string"/>
+      <xs:element minOccurs="0" name="dateDeb" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateFin" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="idAct" type="xs:string"/>
+      <xs:element minOccurs="0" name="idInsAct" type="xs:string"/>
+      <xs:element minOccurs="0" name="idInsLieu" type="xs:string"/>
+      <xs:element minOccurs="0" name="idLieu" type="xs:string"/>
+      <xs:element minOccurs="0" name="idRegie" type="xs:string"/>
       <xs:element minOccurs="0" name="idUnit" type="xs:string"/>
-      <xs:element name="year" type="xs:int"/>
-      <xs:element name="numMonth" type="xs:int"/>
+      <xs:element minOccurs="0" name="libAct" type="xs:string"/>
+      <xs:element minOccurs="0" name="libLieu" type="xs:string"/>
+      <xs:element minOccurs="0" name="libUnit" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="personInfoBean">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="dateBirth" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="firstname" type="xs:string"/>
+      <xs:element minOccurs="0" name="idMaelis" type="xs:string"/>
+      <xs:element minOccurs="0" name="lastname" type="xs:string"/>
+      <xs:element name="num" type="xs:int"/>
+      <xs:element minOccurs="0" name="sexe" type="xs:string"/>
+      <xs:element minOccurs="0" name="yearSchool" type="xs:int"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="addChildUnitLstWait">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="AddChildSubscribeRequestBean" type="ns1:addChildSubscribeRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="addChildUnitLstWaitResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="addChildUnitLstWaitResponseBean" type="ns1:addChildUnitLstWaitResponseBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="controlResultBean">
+    <xs:sequence>
+      <xs:element name="controlOK" type="xs:boolean"/>
+      <xs:element minOccurs="0" name="message" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getPersonUnitInfo">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="getPersonUnitInfoRequestBean" type="ns1:getPersonUnitInfoRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getPersonUnitInfoResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="getPersonUnitInfoResponseBean" type="ns1:getPersonUnitInfoResponseBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updateBasketTime">
+    <xs:sequence>
+      <xs:element name="idBasket" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updateBasketTimeResponse">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="getUnitByActivity">
+    <xs:sequence>
+      <xs:element name="idAct" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getUnitByActivityResponse">
+    <xs:sequence>
+      <xs:element maxOccurs="unbounded" minOccurs="0" name="unit2List" type="ns1:unit2Bean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getSelectionCriteriaForFamilyList">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="getSelectionCriteriaForFamilyListResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="GetSelectionCriteriaForFamilyListResultBean" type="ns1:getSelectionCriteriaForFamilyListResultBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="isWSRunning">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="isWSRunningResponse">
+    <xs:sequence>
+      <xs:element name="isWSRunning" type="xs:boolean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="addChildUnitBasket">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="addChildUnitBasketRequestBean" type="ns1:addChildSubscribeRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="addChildUnitBasketResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="addChildUnitBasketResponseBean" type="ns1:addChildUnitBasketResponseBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updatePersonSchedule">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="updatePersonScheduleRequestBean" type="ns1:updatePersonScheduleRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updatePersonScheduleResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="UpdatePersonScheduleResultBean" type="ns1:updatePersonScheduleResultBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updateWeekCalendar">
+    <xs:sequence>
+      <xs:element name="idActivity" type="xs:string"/>
+      <xs:element name="numPerson" type="xs:int"/>
+      <xs:element name="dateStart" type="xs:dateTime"/>
+      <xs:element minOccurs="0" name="dateEnd" type="xs:dateTime"/>
+      <xs:element name="weeklyPlanningAM" type="xs:string"/>
+      <xs:element name="weeklyPlanningPM" type="xs:string"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="updateWeekCalendarResponse">
+    <xs:sequence/>
+  </xs:complexType>
+  <xs:complexType name="deleteChildUnitBasket">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="deleteChildUnitBasketRequestBean" type="ns1:deleteChildUnitBasketRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="readChildMonthPlanningResponse">
+  <xs:complexType name="deleteChildUnitBasketResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="ResultCalendarList" type="ns1:resultCalendarListBean"/>
+      <xs:element minOccurs="0" name="deleteChildUnitBasketResultBean" type="ns1:deleteChildUnitBasketResultBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="updateScheduleCalendars">
+  <xs:complexType name="getFamilyList">
     <xs:sequence>
-      <xs:element name="updateScheduleCalendarsRequestBean" type="ns1:updateScheduleCalendarsRequestBean"/>
+      <xs:element minOccurs="0" name="getFamilyListRequestBean" type="ns1:getFamilyListRequestBean"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:complexType name="updateScheduleCalendarsResponse">
+  <xs:complexType name="getFamilyListResponse">
     <xs:sequence>
-      <xs:element minOccurs="0" name="return" type="ns1:updateScheduleCalendarsResultBean"/>
+      <xs:element minOccurs="0" name="GetFamilyListResultBean" type="ns1:getFamilyListResultBean"/>
     </xs:sequence>
   </xs:complexType>
+  <xs:complexType name="getPersonCatalogueActivity">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="getPersonCatalogueActivityRequestBean" type="ns1:getPersonCatalogueActivityRequestBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:complexType name="getPersonCatalogueActivityResponse">
+    <xs:sequence>
+      <xs:element minOccurs="0" name="getPersonCatalogueActivityResultBean" type="ns1:getPersonCatalogueActivityResultBean"/>
+    </xs:sequence>
+  </xs:complexType>
+  <xs:simpleType name="dayInfoStatus">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="NO_CUSTODY"/>
+      <xs:enumeration value="NO_READ"/>
+      <xs:enumeration value="READ_ONLY"/>
+      <xs:enumeration value="WRITABLE"/>
+    </xs:restriction>
+  </xs:simpleType>
   <xs:simpleType name="dayInfoAction">
     <xs:restriction base="xs:string">
       <xs:enumeration value="ADD_PRES_PREVI"/>
       <xs:enumeration value="DEL_PRES_PREVI"/>
       <xs:enumeration value="ADD_ABSENCE"/>
       <xs:enumeration value="DEL_ABSENCE"/>
       <xs:enumeration value="ADD_PRES_REAL"/>
       <xs:enumeration value="DEL_PRES_REAL"/>
       <xs:enumeration value="ADD_DEDUCTED_ABSENCE"/>
     </xs:restriction>
   </xs:simpleType>
-  <xs:simpleType name="activityCalendarGenerationMode">
+  <xs:simpleType name="blocNoteTypeEnum">
+    <xs:restriction base="xs:string">
+      <xs:enumeration value="A"/>
+      <xs:enumeration value="L"/>
+      <xs:enumeration value="IA"/>
+      <xs:enumeration value="RP"/>
+      <xs:enumeration value="ID"/>
+    </xs:restriction>
+  </xs:simpleType>
+  <xs:simpleType name="modeFactBean">
     <xs:restriction base="xs:string">
-      <xs:enumeration value="REQUIRED"/>
-      <xs:enumeration value="FORBIDDEN"/>
-      <xs:enumeration value="NOT_REQUIRED"/>
+      <xs:enumeration value="FORFAIT"/>
+      <xs:enumeration value="PRESENCE"/>
+      <xs:enumeration value="QUANTITE"/>
+      <xs:enumeration value="AUTRE"/>
     </xs:restriction>
   </xs:simpleType>
-  <xs:simpleType name="code">
+  <xs:simpleType name="subscribeAction">
     <xs:restriction base="xs:string">
-      <xs:enumeration value="AM"/>
-      <xs:enumeration value="PM"/>
-      <xs:enumeration value="DAY"/>
-      <xs:enumeration value="NONE"/>
+      <xs:enumeration value="ADD_SUBSCRIBE"/>
+      <xs:enumeration value="ADD_WAIT"/>
     </xs:restriction>
   </xs:simpleType>
   <xs:element name="MaelisActivityException" type="tns:MaelisActivityException"/>
   <xs:complexType name="MaelisActivityException">
     <xs:sequence>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
       <xs:element minOccurs="0" name="message" type="xs:string"/>
     </xs:sequence>
   </xs:complexType>
-  <xs:element name="MaelisSiteException" type="tns:MaelisSiteException"/>
-  <xs:complexType name="MaelisSiteException">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
-      <xs:element minOccurs="0" name="code" type="xs:string"/>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
-  <xs:element name="MaelisFamilyException" type="tns:MaelisFamilyException"/>
-  <xs:complexType name="MaelisFamilyException">
-    <xs:sequence>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
-      <xs:element minOccurs="0" name="message" type="xs:string"/>
-    </xs:sequence>
-  </xs:complexType>
 </xs:schema>
   </wsdl:types>
-  <wsdl:message name="updateScheduleCalendarsResponse">
-    <wsdl:part element="tns:updateScheduleCalendarsResponse" name="parameters">
+  <wsdl:message name="getPersonScheduleList">
+    <wsdl:part element="tns:getPersonScheduleList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="validateBasket">
+    <wsdl:part element="tns:validateBasket" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="deleteBasket">
+    <wsdl:part element="tns:deleteBasket" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getFamilyBasket">
+    <wsdl:part element="tns:getFamilyBasket" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getFamilyListResponse">
+    <wsdl:part element="tns:getFamilyListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="closeSubscribeResponse">
+    <wsdl:part element="tns:closeSubscribeResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getPersonUnitInfo">
+    <wsdl:part element="tns:getPersonUnitInfo" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateChildUnitBasketResponse">
+    <wsdl:part element="tns:updateChildUnitBasketResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getSelectionCriteriaForFamilyListResponse">
+    <wsdl:part element="tns:getSelectionCriteriaForFamilyListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateWeekCalendarResponse">
+    <wsdl:part element="tns:updateWeekCalendarResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="deleteChildUnitBasketResponse">
+    <wsdl:part element="tns:deleteChildUnitBasketResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="isWSRunning">
+    <wsdl:part element="tns:isWSRunning" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updatePersonSchedule">
+    <wsdl:part element="tns:updatePersonSchedule" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getPersonScheduleListResponse">
+    <wsdl:part element="tns:getPersonScheduleListResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="addChildUnitLstWaitResponse">
+    <wsdl:part element="tns:addChildUnitLstWaitResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getPersonUnitInfoResponse">
+    <wsdl:part element="tns:getPersonUnitInfoResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getUnitByActivityResponse">
+    <wsdl:part element="tns:getUnitByActivityResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="updateChildUnitBasket">
+    <wsdl:part element="tns:updateChildUnitBasket" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="deleteBasketResponse">
+    <wsdl:part element="tns:deleteBasketResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getNbAvailablePlacesPortalOther">
     <wsdl:part element="tns:getNbAvailablePlacesPortalOther" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readActivityList">
-    <wsdl:part element="tns:readActivityList" name="parameters">
+  <wsdl:message name="closeSubscribe">
+    <wsdl:part element="tns:closeSubscribe" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getFamilyChilds">
+    <wsdl:part element="tns:getFamilyChilds" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getPersonCatalogueActivityResponse">
+    <wsdl:part element="tns:getPersonCatalogueActivityResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="validateBasketResponse">
+    <wsdl:part element="tns:validateBasketResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readChildMonthPlanning">
-    <wsdl:part element="tns:readChildMonthPlanning" name="parameters">
+  <wsdl:message name="updateBasketTimeResponse">
+    <wsdl:part element="tns:updateBasketTimeResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="isWSRunningResponse">
     <wsdl:part element="tns:isWSRunningResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readActivityListResponse">
-    <wsdl:part element="tns:readActivityListResponse" name="parameters">
+  <wsdl:message name="addChildUnitLstWait">
+    <wsdl:part element="tns:addChildUnitLstWait" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="MaelisActivityException">
     <wsdl:part element="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="updateScheduleCalendars">
-    <wsdl:part element="tns:updateScheduleCalendars" name="parameters">
-    </wsdl:part>
-  </wsdl:message>
-  <wsdl:message name="updateRealCalendars">
-    <wsdl:part element="tns:updateRealCalendars" name="parameters">
+  <wsdl:message name="updateBasketTime">
+    <wsdl:part element="tns:updateBasketTime" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="getNbAvailablePlacesPortalOtherResponse">
     <wsdl:part element="tns:getNbAvailablePlacesPortalOtherResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="updateWeekCalendarResponse">
-    <wsdl:part element="tns:updateWeekCalendarResponse" name="parameters">
+  <wsdl:message name="getUnitByActivity">
+    <wsdl:part element="tns:getUnitByActivity" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="isWSRunning">
-    <wsdl:part element="tns:isWSRunning" name="parameters">
+  <wsdl:message name="getFamilyChildsResponse">
+    <wsdl:part element="tns:getFamilyChildsResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getSelectionCriteriaForFamilyList">
+    <wsdl:part element="tns:getSelectionCriteriaForFamilyList" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="addChildUnitBasket">
+    <wsdl:part element="tns:addChildUnitBasket" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:message name="updateWeekCalendar">
     <wsdl:part element="tns:updateWeekCalendar" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="MaelisSiteException">
-    <wsdl:part element="tns:MaelisSiteException" name="MaelisSiteException">
+  <wsdl:message name="updatePersonScheduleResponse">
+    <wsdl:part element="tns:updatePersonScheduleResponse" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="deleteChildUnitBasket">
+    <wsdl:part element="tns:deleteChildUnitBasket" name="parameters">
+    </wsdl:part>
+  </wsdl:message>
+  <wsdl:message name="getFamilyList">
+    <wsdl:part element="tns:getFamilyList" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="MaelisFamilyException">
-    <wsdl:part element="tns:MaelisFamilyException" name="MaelisFamilyException">
+  <wsdl:message name="getFamilyBasketResponse">
+    <wsdl:part element="tns:getFamilyBasketResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="readChildMonthPlanningResponse">
-    <wsdl:part element="tns:readChildMonthPlanningResponse" name="parameters">
+  <wsdl:message name="addChildUnitBasketResponse">
+    <wsdl:part element="tns:addChildUnitBasketResponse" name="parameters">
     </wsdl:part>
   </wsdl:message>
-  <wsdl:message name="updateRealCalendarsResponse">
-    <wsdl:part element="tns:updateRealCalendarsResponse" name="parameters">
+  <wsdl:message name="getPersonCatalogueActivity">
+    <wsdl:part element="tns:getPersonCatalogueActivity" name="parameters">
     </wsdl:part>
   </wsdl:message>
   <wsdl:portType name="ActivityService">
-    <wsdl:operation name="updateRealCalendars">
-<wsdl:documentation> Méthode de mise à jour du calendrier de régularisation
- Elle permet d'effectuer les opérations suivantes :
-	- Ajouter une présence réelle
-	- Supprimer une présence réelle
-	- Ajouter une absence déductible
-	- Ajouter une absence non déductible
- 	- Supprimer une absence 
-
- La mise à jour est effectuée pour toutes les requêtes sans erreur et une erreur est renvoyée avec la liste des requêtes qui posent problème le cas échéant.
-
- Les motifs d'absence déductible et non déductible, utilisés lors de l'ajout d'absence, sont paramétrables. Le paramétrage correspondant aux motifs « A » et « AN » est fourni sous forme d'un script de base mais il peut être modifié depuis Maelis Connect : Paramétrage / Paramètres généraux/ Correspondances externes/Valeurs par défaut
-
- ------------------------------ 
- unitPersonDayInfoList : liste des modifications
-	- numPerson : numéro de personne
- 	- idActivity : identifiant de l'activité 
-	- idUnit : identifiant de l'unité 
-	- idPlace : identifiant de l'unité
-	- day : date du jour dans le calendrier (obligatoire)
- 	- action : action sur le calendrier enum DayInfoAction { ADD_ABSENCE, ADD_DEDUCTED_ABSENCE, DEL_ABSENCE, ADD_PRES_REAL, DEL_PRES_REAL} 
-
- ------------------------------- 
- Traitement :
- Pour chaque élément de la liste 
-	Si l'enfant est inscrit à l'unité
-		Si l'enfant est inscrit au lieu
-			Si action = ajout de présence
-				Si le calendrier prévisionnel n'existe pas
-					Création du calendrier 
-				Si pas de présence prévisionnelle existante
-					Si pas de présence réelle existante
-						Ajout de la présence réelle
-					Sinon retour erreur « Présence réelle existante »
-				Sinon retour erreur « Présence prévisionnelle existante »
-
-			Si action = suppression de présence
-				Si présence réelle existante
-					Suppression de la présence
-				Sinon retour erreur « pas de présence »
-
-			Si action = ajout d'une absence déductible/non déductible
-				Si présence prévisionnelle existante
-					Si absence n'existe pas
-						Si la codification de l'absence existe
-							Ajout de l'absence déductible/non déductible
-						Sinon retour erreur « Le motif d'absence n'a pas été paramétré »
-					Sinon retour erreur « Absence existante »
-				Sinon retour erreur « Pas de présence prévisionnelle existante »
-
-			Si action = suppression d'absence
-				Si absence réelle existante
-					Suppression de l'absence
-				Sinon retour erreur « pas d'absence existante »
-
-		Sinon 	Retour erreur « non inscrit au lieu »
- 	Sinon 	Retour erreur « non inscrit à l'unité »
-
- ------------------------------ 
- Retour : 
- UpdateRealCalendarsResultBean 
- 	- result : résultat de l'opération : vrai si pas d'erreur, faux si une ou plusieurs erreurs recontrées
-	- List UnitPersonScheduleDayError
-		-	UnitPersonScheduleDayInfo
-		-	ErrorMessage : constitué d'un code numérique suivi d'un libellé</wsdl:documentation>
-      <wsdl:input message="tns:updateRealCalendars" name="updateRealCalendars">
+    <wsdl:operation name="updateChildUnitBasket">
+<wsdl:documentation> Méthode de mise à jour de la quantité d'une ligne du panier </wsdl:documentation>
+      <wsdl:input message="tns:updateChildUnitBasket" name="updateChildUnitBasket">
     </wsdl:input>
-      <wsdl:output message="tns:updateRealCalendarsResponse" name="updateRealCalendarsResponse">
+      <wsdl:output message="tns:updateChildUnitBasketResponse" name="updateChildUnitBasketResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getPersonScheduleList">
+<wsdl:documentation> Méthode de récuperation des calendriers d'une personne</wsdl:documentation>
+      <wsdl:input message="tns:getPersonScheduleList" name="getPersonScheduleList">
+    </wsdl:input>
+      <wsdl:output message="tns:getPersonScheduleListResponse" name="getPersonScheduleListResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
     <wsdl:operation name="getNbAvailablePlacesPortalOther">
+<wsdl:documentation> Méthode qui renvoie le nombre d'inscriptions disponibles autres que PORTAL (en fonction d'une inscription à faire) 
+
+ ---------------------- 
+ idPers la personne (pour quota filles/garçons) 
+ idAct l'activité (obligatoire)
+ idUni l'unité (obligatoire)
+ idPlace le lieu 
+ date de début période d'inscription 
+ date de fin période d'inscription 
+
+  le total trouvé :  
+         -1 si plus de place et l'inscription doit être refusée, 
+         0 si plus de place et l'inscription doit être mise en attente 
+         NA si pas de controle 
+         NN est le nombre de places disponibles </wsdl:documentation>
       <wsdl:input message="tns:getNbAvailablePlacesPortalOther" name="getNbAvailablePlacesPortalOther">
     </wsdl:input>
       <wsdl:output message="tns:getNbAvailablePlacesPortalOtherResponse" name="getNbAvailablePlacesPortalOtherResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="closeSubscribe">
+<wsdl:documentation> Méthode de fermeture des calendriers d'une inscription 
+
+ ---------------------- 
+ idSubscribe : identifiant de l'inscription (obligatoire)
+ idActivity : identifiant de l'activité 
+ idPerson : identifiant de la personne 
+ dateEnd : la date de fin d'inscription (obligatoire)</wsdl:documentation>
+      <wsdl:input message="tns:closeSubscribe" name="closeSubscribe">
+    </wsdl:input>
+      <wsdl:output message="tns:closeSubscribeResponse" name="closeSubscribeResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getFamilyChilds">
+<wsdl:documentation> Méthode de recherche des enfants de la famille avec leurs inscriptions  
+ La liste est composée des enfants de la famille (y compris les enfants en garde alternée)  
+ avec, pour chaque enfant, un second niveau composé de la liste de ses inscriptions existantes </wsdl:documentation>
+      <wsdl:input message="tns:getFamilyChilds" name="getFamilyChilds">
+    </wsdl:input>
+      <wsdl:output message="tns:getFamilyChildsResponse" name="getFamilyChildsResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="validateBasket">
+<wsdl:documentation> Méthode qui validation le panier 
+ Renvoi une liste d'identifiant de factures ainsi que la liste des identifiants d'inscription. 
+ Renvoi les paramétres de l'url de paiement.  </wsdl:documentation>
+      <wsdl:input message="tns:validateBasket" name="validateBasket">
+    </wsdl:input>
+      <wsdl:output message="tns:validateBasketResponse" name="validateBasketResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="deleteBasket">
+<wsdl:documentation> Méthode qui supprime le panier </wsdl:documentation>
+      <wsdl:input message="tns:deleteBasket" name="deleteBasket">
+    </wsdl:input>
+      <wsdl:output message="tns:deleteBasketResponse" name="deleteBasketResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getFamilyBasket">
+<wsdl:documentation> Méthode qui renvoie le panier de la famille pour un utilisateur </wsdl:documentation>
+      <wsdl:input message="tns:getFamilyBasket" name="getFamilyBasket">
+    </wsdl:input>
+      <wsdl:output message="tns:getFamilyBasketResponse" name="getFamilyBasketResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="addChildUnitLstWait">
+<wsdl:documentation> Méthode qui permet d'ajouter au panier une inscription en liste d'attente d'un enfant à une activité  du catalogue </wsdl:documentation>
+      <wsdl:input message="tns:addChildUnitLstWait" name="addChildUnitLstWait">
+    </wsdl:input>
+      <wsdl:output message="tns:addChildUnitLstWaitResponse" name="addChildUnitLstWaitResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getPersonUnitInfo">
+<wsdl:documentation> Méthode qui renvoie les informations d'inscription d'un enfant à une activité du catalogue </wsdl:documentation>
+      <wsdl:input message="tns:getPersonUnitInfo" name="getPersonUnitInfo">
+    </wsdl:input>
+      <wsdl:output message="tns:getPersonUnitInfoResponse" name="getPersonUnitInfoResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updateBasketTime">
+<wsdl:documentation> Méthode qui prolonge la durée de vie du panier de son délai</wsdl:documentation>
+      <wsdl:input message="tns:updateBasketTime" name="updateBasketTime">
+    </wsdl:input>
+      <wsdl:output message="tns:updateBasketTimeResponse" name="updateBasketTimeResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getUnitByActivity">
+<wsdl:documentation> Méthode qui renvoie les unités de l'activité indiquée </wsdl:documentation>
+      <wsdl:input message="tns:getUnitByActivity" name="getUnitByActivity">
+    </wsdl:input>
+      <wsdl:output message="tns:getUnitByActivityResponse" name="getUnitByActivityResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="getSelectionCriteriaForFamilyList">
+<wsdl:documentation> Méthode de recherche des natures d'activités pour le profil portail </wsdl:documentation>
+      <wsdl:input message="tns:getSelectionCriteriaForFamilyList" name="getSelectionCriteriaForFamilyList">
+    </wsdl:input>
+      <wsdl:output message="tns:getSelectionCriteriaForFamilyListResponse" name="getSelectionCriteriaForFamilyListResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="isWSRunning">
+<wsdl:documentation>Méthode pour vérifier si le webservice est OK
+
+ -------------------------
+ Retourne vrai ou faux </wsdl:documentation>
       <wsdl:input message="tns:isWSRunning" name="isWSRunning">
     </wsdl:input>
       <wsdl:output message="tns:isWSRunningResponse" name="isWSRunningResponse">
     </wsdl:output>
       <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
     </wsdl:fault>
     </wsdl:operation>
+    <wsdl:operation name="addChildUnitBasket">
+<wsdl:documentation> Méthode qui permet d'ajouter au panier une inscription d'un enfant à une activité du catalogue </wsdl:documentation>
+      <wsdl:input message="tns:addChildUnitBasket" name="addChildUnitBasket">
+    </wsdl:input>
+      <wsdl:output message="tns:addChildUnitBasketResponse" name="addChildUnitBasketResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
+    <wsdl:operation name="updatePersonSchedule">
+<wsdl:documentation> Méthode de mise à jour du calendrier d'une personne 
+
+ ----------------------  
+ action possible :  
+ ADD_PRES_PREVI,  
+ DEL_PRES_PREVI, 
+ ADD_ABSENCE,  
+ DEL_ABSENCE,  
+ ADD_PRES_REAL,  
+ DEL_PRES_REAL, 
+ ADD_DEDUCTED_ABSENCE </wsdl:documentation>
+      <wsdl:input message="tns:updatePersonSchedule" name="updatePersonSchedule">
+    </wsdl:input>
+      <wsdl:output message="tns:updatePersonScheduleResponse" name="updatePersonScheduleResponse">
+    </wsdl:output>
+      <wsdl:fault message="tns:MaelisActivityException" name="MaelisActivityException">
+    </wsdl:fault>
+    </wsdl:operation>
     <wsdl:operation name="updateWeekCalendar">
 <wsdl:documentation> Méthode de mise à jour du calendrier hebdomadaire
 
  ---------------------- 
  idActivity : identifiant de l'activité 
  numPerson : Numéro de personne 
  weeklyPlanningAM : modèle hebdomadaire matin
  weeklyPlanningPM : modèle hebdomadaire après-midi 
